CCHQC(3)

SYNOPSIS
SUBROUTINE CCHQC (LUN, KPRINT, NERR)

NAME
cchqc - Quick check for CCHDC.

LIBRARY
SLATEC

KEYWORDS
QUICK CHECK

AUTHOR
Voorhees, E. A., (LANL)

DESCRIPTION
QUICK CHECK FOR LINPACK SUBROUTINE CCHDC. THE CHOLESKY FACTORIZATION OF MATRIX A IS COMPARED TO THE STORED PRE-COMPUTED FACTORIZATION OF A (ENTERED WITH A DATA STATEMENT). FAILURE OF THE TEST OCCURS WHEN AGREEMENT TO 3 SIGNIFICANT DIGITS IS NOT ACHIEVED AND AN ERROR MESSAGE IS PRINTED. THE INTEGER VALUES OF JPVT AND INFO ARE SIMILARLY TESTED. LACK OF AGREEMENT RESULTS IN AN ERROR MESSAGE. A SUMMARY LINE IS ALWAYS PRINTED. NO INPUT ARGUMENTS ARE REQUIRED. ON RETURN, NERR (INTEGER TYPE) CONTAINS THE TOTAL COUNT OF ALL FAILURES DETECTED.

ROUTINES CALLED
CCHDC

REVISION HISTORY (YYMMDD)
801027 DATE WRITTEN
890618 REVISION DATE from Version 3.2
891214 Prologue converted to Version 4.0 format. (BAB)
901010 Restructured using IF-THEN-ELSE-ENDIF and cleaned up FORMATs. (RWC)